package com.crm.ucard.dao.mapper;

import com.crm.rely.backend.core.dto.ucard.CardTypeUserDto;
import com.crm.rely.backend.core.dto.ucard.MerchantUserDto;
import com.crm.rely.backend.core.entity.ucard.CardTypeEntity;
import com.crm.rely.backend.core.entity.ucard.MerchantUserPageEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CardMerchantUserMapper {

    Integer countList(MerchantUserPageEntity entity);

    List<MerchantUserDto> pageList(MerchantUserPageEntity entity);

    CardTypeUserDto getCardTypeStatus(CardTypeEntity entity);

    /**
     * 查询kyc审核成功的所有用户
     */
    List<MerchantUserDto> findAllByAuthSuccess();

    MerchantUserDto getFirstByCustomId(Long customId);

    /**
     * 速汇查询用户详情
     */
    MerchantUserDto findUserDetailsByCId(Long cId);

}
